TAAS - Feature #149

View Posting
02/10/2023 09:44 AM - Junaid M

Status: Reopen Bugs Start date: 02/10/2023
Priority: Normal Due date:

Assignee: Vivekp V % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: View Posting

Description

History

#1 - 02/10/2023 09:44 AM - Junaid M

- Tracker changed from Bug to Feature

#2 - 02/14/2023 11:43 AM - Akash B
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#3 - 05/11/2023 06:03 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Wrong amounts on grid - summary tab

(while multiple currency)

2.Prevent duplication on Party/FOP- Details

(Amounts divided based on debit/ credit raws count)
3.Fix ROE calculation errors on 'Amount in USD' column

#4 - 05/12/2023 09:34 AM - Akash B
Bugs Fixed

#5 - 05/12/2023 09:34 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bugs Fixed

#6 - 08/12/2023 04:56 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

***Summary GUI CHANGES

1- Remove Doc No column

2- Add Main-ledger column after Account name

3- Remove Refference, Narration

4- Add Column Amount In base1, Amount In base2

5- Group By Query fields :- tk-ledger_id, fm_main_edger_id, dat_transaction, vhr_currency, dr/cr
***Details Query
1- No grouping clause needed. show like transaction table data as it is

#7 - 08/25/2023 01:24 PM - Akash B

changes updated

#8 - 08/25/2023 01:24 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#9 - 10/07/2023 05:22 PM - Junaid M
- Assignee changed from Akash B to Vivekp V

#10 - 12/04/2023 05:55 PM - Junaid M
GUI CHANGE

1 - Add status like in Ledger Statement (Include Show System Accounts)

#11 - 12/04/2023 05:55 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#12 - 12/05/2023 12:29 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

1 - Add status like in Ledger Statement (Include Show System Accounts)
changes done search function changed to like in ledger with added system account searching

#13 - 12/05/2023 04:01 PM - unnikannan S
ISSUE FOUNDED

1.ADD VALIDATION FOR MANDATORY FIELD STATUS Fixed

#14 - 10/17/2024 10:49 AM - Arathy PS

- File clipboard-202410171049-yhn8x.png added

- File clipboard-202410171049-8gzi4.png added

- File clipboard-202410171049-ptwm1.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND
Travvise

Payment No | pv/002 Date” | 15/10/2024 =] Branch® | BROOT: Main ~

[SSR Posting v

Narration
Doc No: PV/002 Status® | ictive (Posting Status) % Smore X -
Intemal Note |

Doc Status® | Summary  Details

Posting Status* ~
Posting Summary T @ (o]
Created By: |
Modified By: | # Main Ledger Ledger Date Transaction Currency
Currency Debit credit
1 AMO14: Sundry Debtors CT04: Sarath 15/10/204 | QAR 300.00 000
S
Payment Items Q 2
2 LMOOZ: Current Cheques Payables PCHOOT: Paid Cheque 1 15/10/2024 QAR 000 200.00
#
boZB T 3 LMO02: Current Cheques Payables PCHOO1:: Paid Cheque 1 1510/2024 QAR 300.00 000
1 PCHOO1:: Paid Cheque 1 & Citibank NA &S |
2 CTO4z Sarath &S W |
Total
Total QAR 600.00 QAR 300.00
[ Close

Payment

PaymentNo | pv/002 Date” | 15/10/2024 ] Branch™ | BROO1: Main e

(NSRS Posting ~

Narration
Doc Ne: PV/002 Status® | Active (Posting Status) % Smore ¥ v
Internal Note |

Doc Status® | Summary  Details

Posting Status™ ~
Posting Summary T a =2 O
Created By: |
ModifiedBy: | #  Main Ledger Ledger Date Transaction Currency
currency Debit credit
|1 AMOT4: Sundry Debtors CT04: Sarath 151102024 QAR 300.00 000 f 1
Payment Items Q B @
2 LMOO2: Current Cheques Payables PCHOO1: Paid Cheque 1 157102024 | QAR 000 300.00
o - L 3 LMO0Z: Current Cheques Payables PCHOOT:: Paid Cheque 1 1510/2024 | QAR 300.00 000
1 PCHOOT: Paid Cheque 1 : Citibank NA &S W |
2 CTO04:Sarath &S |
Total
Total QAR 600.00 QAR 300.00
@ Close

#15 - 10/17/2024 11:39 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED FROM Payment

1. Missing data in Posting of current and PD cheque when 'paid cheque control account to bank' is selected.

sin posting type of cheque bank was 8 before now changed to 0 and that fixed the issue correspondingly fixing view posting
#16 - 10/22/2024 05:46 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.Duplicating Same Posting Datas In Different Pages

#17 - 10/24/2024 02:50 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
ISSUE FIXED

1.Duplicating Same Posting Datas In Different Pages

#18 - 12/04/2024 04:52 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#19 - 01/15/2025 06:16 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

View Posting

—Linked Documents Need 'Reco Docs + Matched Docs - Not Duplicate'

—-Linked Documents Move after 'Branch'
-Add 'Outstanding' Column

*Blue Color - Click then popup

Account:

Main Ledger:

Branch:

Document No :

# | Document | Date | Debit | Credit | Outstanding
Mached*B (Other Documents Matched)

—Close Button

*Ref: Settlement Module->Settlement Tab,
*Imp Note:—- Not Need Pairing

#20 - 01/22/2025 11:48 AM - Augustin Jose
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#21 - 01/22/2025 12:54 PM - Arathy PS
- File clipboard-202501221254-cu0sz.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Data showing in other matched without doing any other matching
Travvise

Payment

Fayment No
Receiver ~
Narration
Internal Note
Doc Status™
Posting Status™

Approval Status:

PV/001

Posting

Created By: |

Modified By:

Against Doc
Account*~
Main Ledger”
Sub Customer ~
Narration
Branch™
Department™

Cost Center

=== %

LMOO1:Sundry Creditors

Summary | Details

Posting Summar)

#  Main Ledger || Settled List

Date”

Account

Doc No

#  Document

1 LMOOT:Sundy 1

2 AMOS: Ageng

INV/001

#22 - 01/24/2025 01:15 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 01/31/2025 11:04 AM - Arathy PS
- File clipboard-202501311104-rrukv.png added

22/01/2025

SUP001:BSP

PV/001

Date

22/01/2025

Debit

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Data not showing in the posting but showing that it is saved in the table. FIXED

Main Ledger

Branch

Credit

1000.00

Total

Branch*

BRO01:Main

Outstanding

0.00

BROO1:: Main

T @
Current Matched*

1000.00

QAR 1000.00

== -

Other Matched*

-1000.00

& Close

QAR 1000.00

Qutstanding

0.00

1000.00

QAR 1000.00

& Close

i8R

pay

Master | AR sharing ~ ALPO
Against Doc v
Dac Mo: INV/050 Status® | Active (Posting Status) % 3 more ¥ - oK
Customer/FOP*
Sub Customer = summary ~ Details
Reference
Narration Posting Summary Y a B I
#  Main Ledger Ledger Date Transaction Currency Amount In Base 2 (USD)
Document Status”
Currency Debit Credit Outstanding Debit Credit
Pasting Status™
1 1L002: Service Fee 1L002:: Service Fee 12112/2026 AR 000 386.25 386.25 000 108.29
Created By:
Modified By: | 2 ELO04: Rounding Expense EL004: Rounding Expense 121272024 SAR 000 000 000 000 000
3 AMD14: Sundry Debtors 007: Party A 121272024 SAR 424872 000 424872 114715 000
4 LMOO1: Sundry Creditors DOTW: DOTW 12112/2024 AR 000 3862.47 3862.47 000 1042.87
Ticket/Voucher  Party
Ticke st Q 2
# v Type Shared
1 v Hotel w ) & W
Total SAR 4248.72 SAR 4248.72 SAR 8497.44 114715 1147.16
[ Close

#24 - 02/04/2025 01:00 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 04/08/2025 05:11 PM - Arathy PS
- File clipboard-202504081616-dshlk.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. When click on the outstanding pop up of an account then document that are not matched against it is also showing.
Debit Credit Note

DocNo | DN/OOT Date” | 08/04/2025 (o] Type®  Debit v
Posting v
=] . v
Account CUS001:ASLAM ABDUL KHAN Main Ledger AMO14:55undry Debtors L
Summary Det|
| Doc No DN/001 Branch BROO1:Main |
sting Sumn ) B I
# | Main Led§ Settled List T Q =2 m
# Document Date Debit Credit Qutstanding ~ Current Matched* Other Matched Dutstanding
1 AMOT4:Sw 1 RV/001 08/04/2025 1000.00 000 0.00 1000.00 00 1785.00 b oo0aA
2 amoosica[ 2z Rv02 08/04/2025 000 1500 .00 T15.00 To|  1000.00 b ojowr v
3 Rv002 08/04/2025 000 2000.00 1900.00 10000 00l e
4 v
[urﬂv these two documents are matched other one is done against another ducument.l -
[ Close
| Total QAR 2000.00 QAR 2000.00 QAR 2785.00 |
Debit N T Q = @
# ‘ E Close ;n(e No
1 STALL INSTALLATION QAR 20000 REF1 &
Files
clipboard-202410171049-yhn8x.png 45.1 KB 10/17/2024 Arathy PS
clipboard-202410171049-8gzi4.png 116 KB 10/17/2024 Arathy PS
clipboard-202410171049-ptwm1.png 116 KB 10/17/2024 Arathy PS
clipboard-202501221254-cu0sz.png 177 KB 01/22/2025 Arathy PS
clipboard-202501311104-rrukv.png 175 KB 01/31/2025 Arathy PS
clipboard-202504081616-dshlk.png 142 KB 04/08/2025 Arathy PS
